Loading...
Searching...
No Matches
BALL::EnergeticEvaluation Class Reference
Molecular Modeling » Molecular Structure » Docking of molecular structures

`#include <BALL/SCORING/FUNCTIONS/energeticEvaluation.h>`

Inheritance diagram for BALL::EnergeticEvaluation:

## Public Member Functions

| EnergeticEvaluation () throw ()
virtual | ~EnergeticEvaluation () throw ()
virtual std::vector< ConformationSet::Conformation > | operator() (ConformationSet &conformations)

## Detailed Description

Base class for energetic evaluators of docking results. This trivial class will return the identity scoring, leaving permutation and score unchanged.

Definition at line 20 of file energeticEvaluation.h.

## Constructor & Destructor Documentation

## EnergeticEvaluation()

BALL::EnergeticEvaluation::EnergeticEvaluation | ( |  | ) |
throw | ( | ) |  |  |

## ~EnergeticEvaluation()

virtual BALL::EnergeticEvaluation::~EnergeticEvaluation | ( |  | ) |
throw | ( | ) |  |  |

virtual

## Member Function Documentation

## operator()()

virtual std::vector< ConformationSet::Conformation > BALL::EnergeticEvaluation::operator() | ( | ConformationSet & | conformations | ) |

virtual

Operations

Reimplemented in BALL::ForceFieldEvaluation, and BALL::RandomEvaluation.